[arch-commits] Commit in openssh/repos (10 files)

Gaetan Bisson bisson at archlinux.org
Sat Nov 26 07:47:01 EST 2011


    Date: Saturday, November 26, 2011 @ 07:47:01
  Author: bisson
Revision: 143549

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  openssh/repos/testing-i686/
  openssh/repos/testing-i686/PKGBUILD
    (from rev 143548, openssh/trunk/PKGBUILD)
  openssh/repos/testing-i686/sshd
    (from rev 143548, openssh/trunk/sshd)
  openssh/repos/testing-i686/sshd.confd
    (from rev 143548, openssh/trunk/sshd.confd)
  openssh/repos/testing-i686/sshd.pam
    (from rev 143548, openssh/trunk/sshd.pam)
  openssh/repos/testing-x86_64/
  openssh/repos/testing-x86_64/PKGBUILD
    (from rev 143548, openssh/trunk/PKGBUILD)
  openssh/repos/testing-x86_64/sshd
    (from rev 143548, openssh/trunk/sshd)
  openssh/repos/testing-x86_64/sshd.confd
    (from rev 143548, openssh/trunk/sshd.confd)
  openssh/repos/testing-x86_64/sshd.pam
    (from rev 143548, openssh/trunk/sshd.pam)

---------------------------+
 testing-i686/PKGBUILD     |   67 ++++++++++++++++++++++++++++++++++++++++++++
 testing-i686/sshd         |   45 +++++++++++++++++++++++++++++
 testing-i686/sshd.confd   |    4 ++
 testing-i686/sshd.pam     |   12 +++++++
 testing-x86_64/PKGBUILD   |   67 ++++++++++++++++++++++++++++++++++++++++++++
 testing-x86_64/sshd       |   45 +++++++++++++++++++++++++++++
 testing-x86_64/sshd.confd |    4 ++
 testing-x86_64/sshd.pam   |   12 +++++++
 8 files changed, 256 insertions(+)

Copied: openssh/repos/testing-i686/PKGBUILD (from rev 143548, openssh/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2011-11-26 12:47:01 UTC (rev 143549)
@@ -0,0 +1,67 @@
+# $Id$
+# Maintainer: Gaetan Bisson <bisson at archlinux.org>
+# Contributor: Aaron Griffin <aaron at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=openssh
+pkgver=5.9p1
+pkgrel=5
+pkgdesc='Free version of the SSH connectivity tools'
+arch=('i686' 'x86_64')
+license=('custom:BSD')
+url='http://www.openssh.org/portable.html'
+backup=('etc/ssh/ssh_config' 'etc/ssh/sshd_config' 'etc/pam.d/sshd' 'etc/conf.d/sshd')
+depends=('krb5' 'openssl' 'libedit')
+optdepends=('x11-ssh-askpass: input passphrase in X without a terminal')
+source=("ftp://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/${pkgname}-${pkgver}.tar.gz"
+        'sshd.confd'
+        'sshd.pam'
+        'sshd')
+sha1sums=('ac4e0055421e9543f0af5da607a72cf5922dcc56'
+          'ec102deb69cad7d14f406289d2fc11fee6eddbdd'
+          '3413909fd45a28701c92e6e5b59c6b65346ddb0f'
+          '21fa88de6cc1c7912e71655f50896ba17991a1c2')
+
+build() {
+	cd "${srcdir}/${pkgname}-${pkgver}"
+
+	./configure \
+		--prefix=/usr \
+		--libexecdir=/usr/lib/ssh \
+		--sysconfdir=/etc/ssh \
+		--with-privsep-user=nobody \
+		--with-md5-passwords \
+		--with-pam \
+		--with-mantype=man \
+		--with-xauth=/usr/bin/xauth \
+		--with-kerberos5=/usr \
+		--with-ssl-engine \
+		--with-libedit=/usr/lib \
+		--disable-strip # stripping is done by makepkg
+
+	make
+}
+
+package() {
+	cd "${srcdir}/${pkgname}-${pkgver}"
+	make DESTDIR="${pkgdir}" install
+
+	install -Dm755 ../sshd "${pkgdir}"/etc/rc.d/sshd
+	install -Dm644 ../sshd.pam "${pkgdir}"/etc/pam.d/sshd
+	install -Dm644 ../sshd.confd "${pkgdir}"/etc/conf.d/sshd
+	install -Dm644 LICENCE "${pkgdir}/usr/share/licenses/${pkgname}/LICENCE"
+
+	rm "${pkgdir}"/usr/share/man/man1/slogin.1
+	ln -sf ssh.1.gz "${pkgdir}"/usr/share/man/man1/slogin.1.gz
+
+	# additional contrib scripts that we like
+	install -Dm755 contrib/findssl.sh "${pkgdir}"/usr/bin/findssl.sh
+	install -Dm755 contrib/ssh-copy-id "${pkgdir}"/usr/bin/ssh-copy-id
+	install -Dm644 contrib/ssh-copy-id.1 "${pkgdir}"/usr/share/man/man1/ssh-copy-id.1
+
+	# PAM is a common, standard feature to have
+	sed \
+		-e '/^#ChallengeResponseAuthentication yes$/c ChallengeResponseAuthentication no' \
+		-e '/^#UsePAM no$/c UsePAM yes' \
+		-i "${pkgdir}"/etc/ssh/sshd_config
+}

Copied: openssh/repos/testing-i686/sshd (from rev 143548, openssh/trunk/sshd)
===================================================================
--- testing-i686/sshd	                        (rev 0)
+++ testing-i686/sshd	2011-11-26 12:47:01 UTC (rev 143549)
@@ -0,0 +1,45 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+. /etc/conf.d/sshd
+
+PIDFILE=/var/run/sshd.pid
+PID=$(cat $PIDFILE 2>/dev/null)
+if ! readlink -q /proc/$PID/exe | grep -q '^/usr/sbin/sshd'; then
+	PID=
+	rm $PIDFILE 2>/dev/null
+fi
+
+case "$1" in
+	start)
+		stat_busy 'Starting Secure Shell Daemon'
+		/usr/bin/ssh-keygen -A
+		[[ -d /var/empty ]] || mkdir -p /var/empty
+		[[ -z $PID ]] && /usr/sbin/sshd $SSHD_ARGS
+		if [[ $? -gt 0 ]]; then
+			stat_fail
+		else
+			add_daemon sshd
+			stat_done
+		fi
+		;;
+	stop)
+		stat_busy 'Stopping Secure Shell Daemon'
+		[[ ! -z $PID ]] && kill $PID &> /dev/null
+		if [[ $? -gt 0 ]]; then
+			stat_fail
+		else
+			rm_daemon sshd
+			stat_done
+		fi
+		;;
+	restart)
+		$0 stop
+		sleep 1
+		$0 start
+		;;
+	*)
+		echo "usage: $0 {start|stop|restart}"
+esac
+exit 0

Copied: openssh/repos/testing-i686/sshd.confd (from rev 143548, openssh/trunk/sshd.confd)
===================================================================
--- testing-i686/sshd.confd	                        (rev 0)
+++ testing-i686/sshd.confd	2011-11-26 12:47:01 UTC (rev 143549)
@@ -0,0 +1,4 @@
+#
+# Parameters to be passed to sshd
+#
+SSHD_ARGS=""

Copied: openssh/repos/testing-i686/sshd.pam (from rev 143548, openssh/trunk/sshd.pam)
===================================================================
--- testing-i686/sshd.pam	                        (rev 0)
+++ testing-i686/sshd.pam	2011-11-26 12:47:01 UTC (rev 143549)
@@ -0,0 +1,12 @@
+#%PAM-1.0
+#auth		required	pam_securetty.so	#Disable remote root
+auth		required	pam_unix.so
+auth		required	pam_env.so
+account		required	pam_nologin.so
+account		required	pam_unix.so
+account		required	pam_time.so
+password	required	pam_unix.so
+session		required	pam_unix_session.so
+session		required	pam_limits.so
+-session	optional	pam_ck_connector.so nox11
+-session	optional	pam_systemd.so

Copied: openssh/repos/testing-x86_64/PKGBUILD (from rev 143548, openssh/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2011-11-26 12:47:01 UTC (rev 143549)
@@ -0,0 +1,67 @@
+# $Id$
+# Maintainer: Gaetan Bisson <bisson at archlinux.org>
+# Contributor: Aaron Griffin <aaron at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=openssh
+pkgver=5.9p1
+pkgrel=5
+pkgdesc='Free version of the SSH connectivity tools'
+arch=('i686' 'x86_64')
+license=('custom:BSD')
+url='http://www.openssh.org/portable.html'
+backup=('etc/ssh/ssh_config' 'etc/ssh/sshd_config' 'etc/pam.d/sshd' 'etc/conf.d/sshd')
+depends=('krb5' 'openssl' 'libedit')
+optdepends=('x11-ssh-askpass: input passphrase in X without a terminal')
+source=("ftp://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/${pkgname}-${pkgver}.tar.gz"
+        'sshd.confd'
+        'sshd.pam'
+        'sshd')
+sha1sums=('ac4e0055421e9543f0af5da607a72cf5922dcc56'
+          'ec102deb69cad7d14f406289d2fc11fee6eddbdd'
+          '3413909fd45a28701c92e6e5b59c6b65346ddb0f'
+          '21fa88de6cc1c7912e71655f50896ba17991a1c2')
+
+build() {
+	cd "${srcdir}/${pkgname}-${pkgver}"
+
+	./configure \
+		--prefix=/usr \
+		--libexecdir=/usr/lib/ssh \
+		--sysconfdir=/etc/ssh \
+		--with-privsep-user=nobody \
+		--with-md5-passwords \
+		--with-pam \
+		--with-mantype=man \
+		--with-xauth=/usr/bin/xauth \
+		--with-kerberos5=/usr \
+		--with-ssl-engine \
+		--with-libedit=/usr/lib \
+		--disable-strip # stripping is done by makepkg
+
+	make
+}
+
+package() {
+	cd "${srcdir}/${pkgname}-${pkgver}"
+	make DESTDIR="${pkgdir}" install
+
+	install -Dm755 ../sshd "${pkgdir}"/etc/rc.d/sshd
+	install -Dm644 ../sshd.pam "${pkgdir}"/etc/pam.d/sshd
+	install -Dm644 ../sshd.confd "${pkgdir}"/etc/conf.d/sshd
+	install -Dm644 LICENCE "${pkgdir}/usr/share/licenses/${pkgname}/LICENCE"
+
+	rm "${pkgdir}"/usr/share/man/man1/slogin.1
+	ln -sf ssh.1.gz "${pkgdir}"/usr/share/man/man1/slogin.1.gz
+
+	# additional contrib scripts that we like
+	install -Dm755 contrib/findssl.sh "${pkgdir}"/usr/bin/findssl.sh
+	install -Dm755 contrib/ssh-copy-id "${pkgdir}"/usr/bin/ssh-copy-id
+	install -Dm644 contrib/ssh-copy-id.1 "${pkgdir}"/usr/share/man/man1/ssh-copy-id.1
+
+	# PAM is a common, standard feature to have
+	sed \
+		-e '/^#ChallengeResponseAuthentication yes$/c ChallengeResponseAuthentication no' \
+		-e '/^#UsePAM no$/c UsePAM yes' \
+		-i "${pkgdir}"/etc/ssh/sshd_config
+}

Copied: openssh/repos/testing-x86_64/sshd (from rev 143548, openssh/trunk/sshd)
===================================================================
--- testing-x86_64/sshd	                        (rev 0)
+++ testing-x86_64/sshd	2011-11-26 12:47:01 UTC (rev 143549)
@@ -0,0 +1,45 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+. /etc/conf.d/sshd
+
+PIDFILE=/var/run/sshd.pid
+PID=$(cat $PIDFILE 2>/dev/null)
+if ! readlink -q /proc/$PID/exe | grep -q '^/usr/sbin/sshd'; then
+	PID=
+	rm $PIDFILE 2>/dev/null
+fi
+
+case "$1" in
+	start)
+		stat_busy 'Starting Secure Shell Daemon'
+		/usr/bin/ssh-keygen -A
+		[[ -d /var/empty ]] || mkdir -p /var/empty
+		[[ -z $PID ]] && /usr/sbin/sshd $SSHD_ARGS
+		if [[ $? -gt 0 ]]; then
+			stat_fail
+		else
+			add_daemon sshd
+			stat_done
+		fi
+		;;
+	stop)
+		stat_busy 'Stopping Secure Shell Daemon'
+		[[ ! -z $PID ]] && kill $PID &> /dev/null
+		if [[ $? -gt 0 ]]; then
+			stat_fail
+		else
+			rm_daemon sshd
+			stat_done
+		fi
+		;;
+	restart)
+		$0 stop
+		sleep 1
+		$0 start
+		;;
+	*)
+		echo "usage: $0 {start|stop|restart}"
+esac
+exit 0

Copied: openssh/repos/testing-x86_64/sshd.confd (from rev 143548, openssh/trunk/sshd.confd)
===================================================================
--- testing-x86_64/sshd.confd	                        (rev 0)
+++ testing-x86_64/sshd.confd	2011-11-26 12:47:01 UTC (rev 143549)
@@ -0,0 +1,4 @@
+#
+# Parameters to be passed to sshd
+#
+SSHD_ARGS=""

Copied: openssh/repos/testing-x86_64/sshd.pam (from rev 143548, openssh/trunk/sshd.pam)
===================================================================
--- testing-x86_64/sshd.pam	                        (rev 0)
+++ testing-x86_64/sshd.pam	2011-11-26 12:47:01 UTC (rev 143549)
@@ -0,0 +1,12 @@
+#%PAM-1.0
+#auth		required	pam_securetty.so	#Disable remote root
+auth		required	pam_unix.so
+auth		required	pam_env.so
+account		required	pam_nologin.so
+account		required	pam_unix.so
+account		required	pam_time.so
+password	required	pam_unix.so
+session		required	pam_unix_session.so
+session		required	pam_limits.so
+-session	optional	pam_ck_connector.so nox11
+-session	optional	pam_systemd.so



More information about the arch-commits mailing list